#!/bin/bash
export FONT="-adobe-helvetica-bold-*-*-*-34-*-*-*-*-*-*-*"

DVD_or_CD=`cat /proc/mounts |grep iso9660|awk '{print $2}'|tail -1`
if [ "$DVD_or_CD" != "" ]; then
    echo "Copying files from $DVD_or_CD to /myth/video." > /tmp/screens
    echo "This could take several minutes, depending on the" >> /tmp/screens
    echo "speed and size of your optical media." >> /tmp/screens
    cat /tmp/screens | osd_cat --font=$FONT --shadow=3 --pos=middle --align=centre --delay=0 &
    /bin/cp -R $DVD_or_CD/* /myth/video/
    killall osd_cat
    echo "Copied videos from $DVD_or_CD to /myth/video" > /tmp/screens
    cat /tmp/screens | osd_cat --font=$FONT --shadow=3 --pos=middle --align=centre --delay=2 &
else
    echo "No optical media found.  If you just inserted" > /tmp/screens
    echo "your media, please wait a moment and try again." >> /tmp/screens
    cat /tmp/screens | osd_cat --font=$FONT --shadow=3 --pos=middle --align=centre --delay=5 &
fi
